uniform sampler2D myTexture0;
uniform float time;

const float rotspeed = 0.05;

varying vec2 Texcoord;


void main( void )
{
	float cosX,sinX;
	sinX = sin(rotspeed*time);
	cosX = cos(rotspeed*time);

	mat2 rotationMatrix = mat2( cosX, -sinX, sinX, cosX);

	vec2 newcoords=Texcoord*(rotationMatrix);

	gl_FragColor = texture2D( myTexture0, newcoords );

}
