varying vec3 vWorldVertexPos;
varying float groundLevel;
varying vec3 vNormal;
varying float v;
varying float attPlayer;
uniform float bottomRange;
uniform float topRange;
uniform float ambientLightEnabled;
uniform sampler2D myTexture2;
uniform sampler2D myTexture1;
uniform sampler2D myTexture0;
void main ()
{
  vec4 tc_1;
  vec4 rockColor_2;
  vec4 grassColor_3;
  vec4 beachColor_4;
  vec4 light_5;
  vec4 tmpvar_6;
  tmpvar_6 = ((((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + (gl_LightSource[0].ambient * gl_FrontMaterial.ambient)) * ambientLightEnabled) + ((gl_FrontLightModelProduct.sceneColor * gl_FrontMaterial.ambient) + ((gl_LightSource[1].ambient * gl_FrontMaterial.ambient) * attPlayer)));
  light_5.w = tmpvar_6.w;
  light_5.x = min (1.0, tmpvar_6.x);
  light_5.y = min (1.0, tmpvar_6.y);
  light_5.z = min (1.0, tmpvar_6.z);
  beachColor_4 = texture2D (myTexture0, gl_TexCoord[0].xy);
  grassColor_3 = texture2D (myTexture1, gl_TexCoord[0].xy);
  rockColor_2 = texture2D (myTexture2, gl_TexCoord[0].xy);
  if ((v > 0.0)) {
    beachColor_4 = texture2D (myTexture0, gl_TexCoord[1].xy);
    grassColor_3 = texture2D (myTexture1, gl_TexCoord[1].xy);
    rockColor_2 = texture2D (myTexture2, gl_TexCoord[1].xy);
  };
  if ((v < 0.0)) {
    beachColor_4 = texture2D (myTexture0, gl_TexCoord[2].xy);
    grassColor_3 = texture2D (myTexture1, gl_TexCoord[2].xy);
    rockColor_2 = texture2D (myTexture2, gl_TexCoord[2].xy);
  };
  float min_7;
  min_7 = (bottomRange - 1.0);
  float edge0_8;
  edge0_8 = (min_7 - 0.02);
  float t_9;
  t_9 = max (min (((groundLevel - edge0_8) / ((min_7 + 0.02) - edge0_8)), 1.0), 0.0);
  float edge0_10;
  edge0_10 = (topRange - 0.02);
  float t_11;
  t_11 = max (min (((groundLevel - edge0_10) / ((topRange + 0.02) - edge0_10)), 1.0), 0.0);
  tc_1 = ((grassColor_3 * (t_9 * (t_9 * (3.0 - (2.0 * t_9))))) * (1.0 - (t_11 * (t_11 * (3.0 - (2.0 * t_11))))));
  if ((((vWorldVertexPos.y - bottomRange) <= 1.0) && ((vWorldVertexPos.y - bottomRange) >= 0.0))) {
    tc_1 = mix (beachColor_4, grassColor_3, (vWorldVertexPos.y - bottomRange));
  };
  if ((((vWorldVertexPos.y - bottomRange) >= -1.0) && ((vWorldVertexPos.y - bottomRange) < 0.0))) {
    tc_1 = beachColor_4;
  };
  float t_12;
  t_12 = max (min (((dot (vec3(0.1, 1.0, 0.0), vNormal) - 0.7) / 0.15), 1.0), 0.0);
  vec4 tmpvar_13;
  tmpvar_13 = mix (rockColor_2, tc_1, (t_12 * (t_12 * (3.0 - (2.0 * t_12)))));
  tc_1 = tmpvar_13;
  gl_FragColor = (tmpvar_13 * light_5);
}

