uniform sampler2D myTexture0;
uniform float time;

const float rotspeed = 2.0;
const vec2 offset = vec2(0.0,0.0);

varying vec2 Texcoord;


void main( void )
{
	float cosX,sinX;
	float cosY,sinY;
	sinX = sin(rotspeed*time);
	cosX = cos(rotspeed*time);

	sinY = sin(rotspeed*time);
	cosY = cos(rotspeed*time);

	mat2 rotationMatrix = mat2( cosX, -sinX, sinY, cosX);

	vec2 newcoords=((Texcoord-offset)*(rotationMatrix));
	newcoords+=offset;

	gl_FragColor = texture2D( myTexture0, newcoords );

}
